<?php
/**
 * Any recent activity box should implement this interface.
 * 
 * @author 	Marcel Werk
 * @copyright	2001-2011 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.recentActivityBox
 * @subpackage	system.event.listener
 * @category 	Burning Board
 */
interface RecentActivityBox {
	/**
	 * Returns a unique identifier of this box.
	 * 
	 * @return string
	 */
	public function getIdentifier();
	
	/**
	 * Returns the title of this box.
	 * 
	 * @return string
	 */
	public function getTitle();
	
	/**
	 * Returns the number of new items in this box.
	 * 
	 * @return integer
	 */
	public function getNewItems();
	
	/**
	 * Returns true, if this box has content.
	 * 
	 * @return boolean
	 */
	public function hasContent();
	
	/**
	 * Returns the content of this box (html code).
	 * 
	 * @return string
	 */
	public function getContent();
}
?>