<?php
// wcf imports
require_once(WCF_DIR.'lib/system/cache/CacheBuilder.class.php');

/**
 * Caches threads (ids) for the recent activity box.
 * 
 * @author 	Marcel Werk
 * @copyright	2001-2011 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.recentActivityBox
 * @subpackage	system.cache
 * @category 	Burning Board
 */
class CacheBuilderBoardRecentActivityBox implements CacheBuilder {
	/**
	 * @see CacheBuilder::getData()
	 */
	public function getData($cacheResource) {
		// get boards ids
		$boardIDs = array();
		$boards = WCF::getCache()->get('board', 'boards');
		foreach ($boards as $board) {
			if ($board->searchable) $boardIDs[] = $board->boardID;
		}
		
		// get thread ids
		$threadIDArray = array();
		if (count($boardIDs)) {
			$sql = "SELECT		thread.threadID
				FROM		wbb".WBB_N."_thread thread
				WHERE		thread.boardID IN (".implode(',', $boardIDs).")
						AND thread.isDeleted = 0
						AND thread.isDisabled = 0
						AND thread.movedThreadID = 0
				ORDER BY	thread.lastPostTime DESC";
			$result = WCF::getDB()->sendQuery($sql, RECENT_ACTIVITY_BOX_ITEMS * 10);
			while ($row = WCF::getDB()->fetchArray($result)) {
				$threadIDArray[] = $row['threadID'];
			}
		}
		
		return $threadIDArray;
	}
}
?>