<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

// wbb imports
require_once(WBB_DIR.'lib/data/page/recentActivityBox/RecentActivityBoxManager.class.php');

/**
 * Generates the recent activity box.
 * 
 * @author 	Marcel Werk
 * @copyright	2001-2011 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.recentActivityBox
 * @subpackage	system.event.listener
 * @category 	Burning Board
 */
class RecentActivityBoxListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if (!RECENT_ACTIVITY_BOX_ITEMS) return;
		
		// get boxes
		$boxes = RecentActivityBoxManager::getInstance()->getBoxes();

		// check content
		if (count($boxes)) {
			$hasContent = false;
			$totalNewItems = 0;
			foreach ($boxes as $box) {
				if ($box->hasContent()) {
					$hasContent = true;
					// count new items
					$totalNewItems += $box->getNewItems();
				}
			}
			
			if ($hasContent) {
				// get status
				if (WCF::getUser()->userID) {
					$status = intval(WCF::getUser()->recentActivityBoxStatus);
				}
				else {
					if (($status = WCF::getSession()->getVar('recentActivityBoxStatus')) === null) {
						$status = 1;
					}
				}
				
				// assign variables
				WCF::getTPL()->assign(array(
					'totalNewItems' => $totalNewItems,
					'boxes' => $boxes,
					'recentActivityBoxStatus' => $status
				));
				WCF::getTPL()->append('additionalTopContents', WCF::getTPL()->fetch('recentActivityBox'));
			}
		}
	}
}
?>